#
# spec file for package perl-Mojo-IOLoop-ReadWriteProcess
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Mojo-IOLoop-ReadWriteProcess
Version:        0.25
Release:        lp152.1.1
%define cpan_name Mojo-IOLoop-ReadWriteProcess
Summary:        Execute external programs or internal code blocks as separate process
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MU/MUDLER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IPC::SharedMem)
BuildRequires:  perl(Module::Build) >= 0.400500
BuildRequires:  perl(Mojolicious) >= 7.24
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(IPC::SharedMem)
Requires:       perl(Mojolicious) >= 7.24
%{perl_requires}

%description
Mojo::IOLoop::ReadWriteProcess is yet another process manager.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes circle.yml codecov.yml minil.toml README.md
%license LICENSE

%changelog
* Thu Apr  9 2020 <timueller+perl@suse.de>
- updated to 0.25
  see /usr/share/doc/packages/perl-Mojo-IOLoop-ReadWriteProcess/Changes
  0.25 2020-04-08T14:48:01Z
  - In "stop" sleep only after sending the first signal to speedup termination by okurz
  - Various fixups in test suite
* Fri Oct 18 2019 <timueller+perl@suse.de>
- Change the `find` call for modifying permissions to leave also shell scripts
  and files in the t/ directory alone
* Wed Oct 16 2019 <timueller+perl@suse.de>
- updated to 0.24
  see /usr/share/doc/packages/perl-Mojo-IOLoop-ReadWriteProcess/Changes
  0.24 2019-10-15T11:11:50Z
  - Fix compatibility with Mojolicious 8.23 by kraih
* Fri Oct 11 2019 Oliver Kurz <okurz@suse.com>
- Exclude non-working tests with perl-Mojolicious >= 8.23
  See https://github.com/mudler/Mojo-IOLoop-ReadWriteProcess/issues/4
  for details
* Tue Aug 14 2018 edigiacinto@suse.com
- Add prctl syscall codes for ppc64le and aarch64
- Full test suite now runs only on travis
* Tue Aug  7 2018 edigiacinto@suse.com
- Disable experimental shared tests by default
* Tue Aug  7 2018 edigiacinto@suse.com
- Add Experimental Mojo::IOLoop::ReadWriteProcess::Shared::* for IPC (Lock, Memory, Sempahores)
- Add possibility to turn off channels only
- Fix incorrect handling of return in case internal_pipes is disabled
- Provide alternative exit status computation for exotic arches/setup
* Tue Mar 27 2018 edigiacinto@suse.com
- updated to 0.20
  0.20 2018-03-26T13:32:58Z
  - Add preliminar CGroup support
  - Add also interface to unshare() syscall
  - Add mocked test, still needs to be documented in POD
* Mon Feb 26 2018 edigiacinto@suse.com
- updated to 0.19
  0.19 2018-02-22T13:41:50Z
  - Minor bugfixes to Session
  - Make session constructor fixed
  0.18 2018-02-21T12:01:07Z
  - Guard stop() from possible race conditions
  - Fix typo in Session, it caused orphan processes to not be resolved correctly
  0.17 2018-02-20T14:01:59Z
  - Fix minor issue in tests, stabilize serialize test and events
  - Reset session and subreaper bit on forked child process
* Mon Feb 19 2018 edigiacinto@suse.com
- updated to 0.16
  see /usr/share/doc/packages/perl-Mojo-IOLoop-ReadWriteProcess/Changes
  0.16 2018-02-19T13:32:54Z
  - Fix minor issue in event test that made them unstable
  0.15 2018-02-19T10:13:22Z
  - Fix skipping subreaper tests on unsupported platforms
  - Reset session before invoking child callback
  0.14 2018-02-18T21:08:17Z
  - Fix race condition in Mojo::IOLoop::ReadWriteProcess::Queue
  0.13 2018-02-17T19:34:51Z
  - Move subreaper and subprocess logics to Mojo::IOLoop::ReadWriteProcess::Session
  - Use Mojo::IOLoop::ReadWriteProcess::Session as global collector handler
  0.12 2018-02-16T12:53:26Z
  - Enhance tests
  - Add experimental subreaper and subprocess support
* Mon Feb 12 2018 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Mojo-IOLoop-ReadWriteProcess/Changes
  0.11 2018-02-12T09:32:05Z
  - update cpanfile requirements (requires Module::Build now)
  - update POD
* Mon Feb 12 2018 coolo@suse.com
- initial package 0.10
  * created by cpanspec 1.78.08
